com.impinj.octane

## Class PlacementConfig

- java.lang.Object
- - com.impinj.octane.PlacementConfig

-     public class PlacementConfig
      extends java.lang.Object

  Since xArray reports location, it requires knowledge of its exact placement, especially when there are multiple xArrays reporting location and the user requires a consistent coordinate system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlacementConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFacilityXLocationCm()` When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide.
    `int` | `getFacilityYLocationCm()` When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide.
    `short` | `getHeightCm()` The xArray needs to know its height, in centimeters, relative to the average height of the tags in its field of view, in order to perform location calculations.
    `short` | `getOrientationDegrees()` When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide.
    `void` | `setFacilityXLocationCm(int facilityXLocationCm)` When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide.
    `void` | `setFacilityYLocationCm(int facilityYLocationCm)` When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide.
    `void` | `setHeightCm(short heightCm)` The xArray needs to know its height, in centimeters, relative to the average height of the tags in its field of view, in order to perform location calculations.
    `void` | `setOrientationDegrees(short orientationDegrees)` When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlacementConfig

          public PlacementConfig()

  - ### Method Detail

    - #### getHeightCm

          public short getHeightCm()

      The xArray needs to know its height, in centimeters, relative to the average height of the tags in its field of view, in order to perform location calculations.
      Returns:
        the current height of the xArray relative to average tag height

    - #### setHeightCm

          public void setHeightCm(short heightCm)

      The xArray needs to know its height, in centimeters, relative to the average height of the tags in its field of view, in order to perform location calculations.
      Parameters:
        `heightCm` - the height of the xArray relative to average tag height

    - #### getFacilityXLocationCm

          public int getFacilityXLocationCm()

      When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide. The default value is zero
      Returns:
        the current value for the xArray facility x coordinate

    - #### setFacilityXLocationCm

          public void setFacilityXLocationCm(int facilityXLocationCm)

      When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide. The default value is zero
      Parameters:
        `facilityXLocationCm` - the desired value for the xArray facility x coordinate

    - #### getFacilityYLocationCm

          public int getFacilityYLocationCm()

      When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide. The default value is zero
      Returns:
        the current value for the xArray facility y coordinate

    - #### setFacilityYLocationCm

          public void setFacilityYLocationCm(int facilityYLocationCm)

      When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide. The default value is zero
      Parameters:
        `facilityYLocationCm` - the desired value for the xArray facility y coordinate

    - #### getOrientationDegrees

          public short getOrientationDegrees()

      When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide. The default value is zero . Range is -180 to 180 degrees
      Returns:
        the orientation of the xArray in degrees

    - #### setOrientationDegrees

          public void setOrientationDegrees(short orientationDegrees)

      When operating multiple xArrays in a single facility, a common coordinate system is desirable across all xArrays so that location data can be interpreted store-wide. The default value is zero. Range is -180 to 180 degrees.
      Parameters:
        `orientationDegrees` - the desired orientation of the xArray in degrees